org.apache.uima.resource

## Interface FileResourceSpecifier

- All Superinterfaces:
    Cloneable, MetaDataObject, ResourceSpecifier, Serializable, XMLizable
  All Known Implementing Classes:
    FileResourceSpecifier_impl

      public interface FileResourceSpecifier
      extends ResourceSpecifier

  A type of `ResourceSpecifier` that locates a resource file using its URL.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileUrl()` Retrieves the URL of the file.
    `String` | `getLocalCache()` Gets the file name for the local cache of a remote resource file.
    `void` | `setFileUrl(String aUrl)` Sets the URL of the file.
    `void` | `setLocalCache(String aFileName)` Sets the file name for the local cache of a remote resource file.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getFileUrl

          String getFileUrl()

      Retrieves the URL of the file.
      Returns:
        a URL string

    - #### getLocalCache

          String getLocalCache()

      Gets the file name for the local cache of a remote resource file. This is optional.
      Returns:
        the file name of the local cache, `null` if none.

    - #### setFileUrl

          void setFileUrl(String aUrl)

      Sets the URL of the file.
      Parameters:
        `aUrl` - a URL string

    - #### setLocalCache

          void setLocalCache(String aFileName)

      Sets the file name for the local cache of a remote resource file. This is optional.
      Parameters:
        `aFileName` - file name of the local cache, `null` if none.

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.